/*
 * IllegalNullValueException.java
 * Part of the Bam project.
 * 
 * Copyright (C)2008 Stephen Battey
 * Contact: resource@lucidviews.net
 */
package net.lucidviews.util;


/**
 * Thrown to indicate that a method has been passed an illegal or 
 * inappropriate null value as an argument.
 * <br />
 * <br />
 * @author Stephen Battey
 * @version $Revision: 1.1.2.1 $
 * @since 1.3
 */
public class IllegalNullValueException extends IllegalArgumentException
{
	
	/*
	 * Local constants
	 */
	
    /** Serialisation id. */
	private static final long serialVersionUID = 4174398210657169458L;
	
	
	/*
	 * Constructors
	 */

	/**
     * Constructs an <code>IllegalNullValueException</code>
     * with no detail message. 
     */
	public IllegalNullValueException()
	{
		super();
	}
	
    /**
     * Constructs an <code>IllegalNullValueException</code>
     * with the specified detail message.
     * <br />
     * <br />
     * @param message the detail message (which is saved for later retrieval
     *                by the {@link Throwable#getMessage()} method)
     */
	public IllegalNullValueException( String message )
	{
		super( message );
	}
	
    /**
     * Constructs a new exception with the specified cause and a detail
     * message of <tt>(cause==null ? null : cause.toString())</tt> (which
     * typically contains the class and detail message of <tt>cause</tt>).
     * This constructor is useful for exceptions that are little more than
     * wrappers for other throwables (for example, {@link
     * java.security.PrivilegedActionException}).
     * <br />
     * <br />
     * @param cause the cause (which is saved for later retrieval by the
     *              {@link Throwable#getCause()} method).  (A <tt>null</tt> value
     *              is permitted, and indicates that the cause is nonexistent or
     *              unknown.)
	 */
	public IllegalNullValueException( Throwable cause )
	{
		super( cause );
	}
	
    /**
     * Constructs a new exception with the specified detail message and
     * cause.
     * <br />
     * Note that the detail message associated with <code>cause</code> is
     * <i>not</i> automatically incorporated in this exception's detail message.
     * <br />
     * <br />
     * @param message the detail message (which is saved for later retrieval
     *                by the {@link Throwable#getMessage()} method)
     * @param cause the cause (which is saved for later retrieval by the
     *              {@link Throwable#getCause()} method).  (A <tt>null</tt> value
     *              is permitted, and indicates that the cause is nonexistent or
     *              unknown.)
     */
	public IllegalNullValueException( String message, Throwable cause )
	{
		super( message, cause );
	}
	
}


/*
 * Change History
 *
 * $Log: IllegalNullValueException.java,v $
 * Revision 1.1.2.1  2008/04/21 21:26:31  Steve
 * Initial revision.
 *
 */